Subject: Re: bug#44080: 27.1; Display behavior of overlays `after-string` in resizable minibuffer frames

From: Clemens <[email-masked]>
Date: Tue, 20 Oct 2020 19:02:00 +0200

On the other hand if you think it is reasonable to do this in minibuffer 
frames by default you could also change the current behavior in place to 
avoid adding another option. I can't imagine a scenario this would break 
some other use case but who knows...For now I will recommend users to 
use the following workaround:

(define-advice fit-frame-to-buffer (:around (f &rest args) 
dont-skip-ws-for-mini-frame)
   (cl-letf (((symbol-function #'window-text-pixel-size)
              (lambda (win from to &rest args)
                (apply #'window-text-pixel-size
                       (append (list win from (if (and 
(window-minibuffer-p win) (eq t to)) nil to) args))))))
     (apply f args)))

BTW, the completion frameworks I was referring to are called selectrum 
and icomplete-vertical in case you were interested.